Bug 1190116 (CVE-2014-9653) - CVE-2014-9653 file: malformed elf file causes access to uninitialized memory
Summary: CVE-2014-9653 file: malformed elf file causes access to uninitialized memory
Status: CLOSED ERRATA
Alias: CVE-2014-9653
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20141216,reported=2...
Keywords: Security
Depends On: 1190118 1238984 1284826
Blocks: 1190117 1210268 1278736
TreeView+ depends on / blocked
 
Reported: 2015-02-06 11:43 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:25 UTC (History)
12 users (show)

(edit)
A flaw was found in the way the File Information (fileinfo) extension parsed Executable and Linkable Format (ELF) files. A remote attacker could use this flaw to cause a PHP application using fileinfo to crash or disclose certain portions of server memory.
Clone Of:
(edit)
Last Closed: 2016-05-11 06:50:38 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2155 normal SHIPPED_LIVE Moderate: file security and bug fix update 2015-11-19 08:39:11 UTC
Red Hat Product Errata RHSA-2016:0760 normal SHIPPED_LIVE Moderate: file security, bug fix, and enhancement update 2016-05-10 22:32:51 UTC

Description Vasyl Kaigorodov 2015-02-06 11:43:31 UTC
It was reported [1][2] that a malformed elf file can cause file urility to access invalid memory.
Upstream fixes that correct this:
https://github.com/file/file/commit/445c8fb0ebff85195be94cd9f7e1df89cade5c7f
https://github.com/file/file/commit/e96f86b5311572be1360ee0bb05d4926f8df3189

[1]: http://mx.gw.com/pipermail/file/2014/001649.html
[2]: http://bugs.gw.com/view.php?id=409

Comment 1 Vasyl Kaigorodov 2015-02-06 11:44:27 UTC
Created file tracking bugs for this issue:

Affects: fedora-all [bug 1190118]

Comment 2 Fedora Update System 2015-02-18 05:55:31 UTC
file-5.22-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Stefan Nuxoll 2015-09-18 23:50:43 UTC
Are there plans (or has this already been) to backport this patch to any EL releases?

Comment 6 errata-xmlrpc 2015-11-19 08:10:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2155 https://rhn.redhat.com/errata/RHSA-2015-2155.html

Comment 8 Renê Rinco 2016-01-21 18:36:26 UTC
Hi! It will be addressed in RHEL 6 ?

Comment 9 Fabio Olive Leite 2016-01-25 12:43:38 UTC
(In reply to Renê Rinco from comment #8)
> Hi! It will be addressed in RHEL 6 ?

Fixing this on RHEL-6 is not a priority, since the impact is only Low.  It may get fixed in the future as part of another update, but it is not planned at the moment.

Comment 10 errata-xmlrpc 2016-05-10 19:47:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0760 https://rhn.redhat.com/errata/RHSA-2016-0760.html


Note You need to log in before you can comment on or make changes to this bug.